
<%@ page contentType="text/html;charset=GB2312" %>
<%@ page import="java.sql.*" %>
<HTML>
<BODY  bgcolor=pink ><Font size=4>
 <P>修改密码,密码长度不能超过30个字符：
<FORM action="" Method="post">
<BR>输入您的帐号：
<BR><Input type=text name="account">
<BR>输入您的密码：
<BR><Input type=password name="secret">
<BR>输入您的新的密码：
<BR><Input type=text name="newSecret1">
<BR>请再输入一次新密码：
<BR><Input type=text name="newSecret2">
<BR><Input type=submit name="g" value="提交">
</FORM>
<%!//处理字符串的一个常用方法：
    public String getString(String s)
     { 
	if(s==null) s="";
       	try {
		byte a[]=s.getBytes("ISO-8859-1");
            	s=new String(a);
           }
       	catch(Exception e){ }
       return s;
     }
%>
<%  //获取提交的帐号：
    	String account=request.getParameter("account");
           account=getString(account);
    //获取提交的密码：
    	String secret=request.getParameter("secret");
           secret=getString(secret);
   //获取提交的新密码：
    	String newSecret1=request.getParameter("newSecret1");
           newSecret1=getString(newSecret1);
    //获取提交的新密码：
    	String newSecret2=request.getParameter("newSecret2");
       	newSecret2=getString(newSecret2);
     	try{
		Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
          }
     	catch(ClassNotFoundException event){}
    //查询数据库信息，验证身份：
    	Connection con=null;
    	Statement sql=null;
    	ResultSet rs=null;
    	boolean modify=false;
    	boolean ifEquals=false;
        ifEquals=(newSecret1.equals(newSecret2))&&(newSecret1.length()<=30);
    	if(ifEquals==true)
        {
		try{
            		con=DriverManager.getConnection("jdbc:odbc:manage","","");
             		sql=con.createStatement();
             		String condition="SELECT * FROM verify WHERE 帐号 = "+"'"+account+"'";
             		rs =sql.executeQuery(condition);
             		while(rs.next())
                 	{ 
				String n=rs.getString("帐号");
                   		String s=rs.getString("密码");
                   		if(account.equals(n)&&secret.equals(s))
                    		{  //修改密码：
                     			modify=true;
                     			out.print("您的密码已经更新");
                     			String c=
         		"UPDATE verify SET 密码 = "+"'"+newSecret1+"'"+" WHERE 帐号 = "+"'"+account+"'";
                     			rs =sql.executeQuery(c);
                    		}
                  	}
           	}
         	catch(SQLException e1) {}
        } 
    	else 
       { out.print("你两次输入的密码不一致或长度过大");
       }
    	if(modify==false&&ifEquals==true)
     	{ out.print("<BR>您没有输入密码帐号或<BR>您输入的帐号或密码不正确"+account+":"+secret);
     	}
%>
</FONT> 
</BODY>
</HTML>
